Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicScrollBarUI.TrackListener

    java.lang.Object
      |
      +--java.awt.event.MouseAdapter
            |
            +--javax.swing.plaf.basic.BasicScrollBarUI.TrackListener

protected class BasicScrollBarUI.TrackListener
extends java.awt.event.MouseAdapter
implements java.awt.event.MouseMotionListener

Track mouse drags.

Field Summary
`protected int` | `currentMouseX`
`protected int` | `currentMouseY`
`protected int` | `offset`

Constructor Summary
`protected` | `BasicScrollBarUI.TrackListener()`

Method Summary
`void` | `mouseDragged(java.awt.event.MouseEvent e)` Set the models value to the position of the top/left of the thumb relative to the origin of the track.
`void` | `mouseMoved(java.awt.event.MouseEvent e)`
`void` | `mousePressed(java.awt.event.MouseEvent e)` If the mouse is pressed above the "thumb" component then reduce the scrollbars value by one page ("page up"), otherwise increase it by one page.
`void` | `mouseReleased(java.awt.event.MouseEvent e)`

Methods inherited from class java.awt.event.MouseAdapter
`mouseClicked, mouseEntered, mouseExited`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### offset

    protected transient int offset

### currentMouseX

    protected transient int currentMouseX

### currentMouseY

    protected transient int currentMouseY

Constructor Detail

### BasicScrollBarUI.TrackListener

    protected BasicScrollBarUI.TrackListener()

Method Detail

### mouseReleased

    public void mouseReleased(java.awt.event.MouseEvent e)

  Overrides:
    mouseReleased in class java.awt.event.MouseAdapter

### mousePressed

    public void mousePressed(java.awt.event.MouseEvent e)

  If the mouse is pressed above the "thumb" component then reduce the scrollbars value by one page ("page up"), otherwise increase it by one page. If there is no thumb then page up if the mouse is in the upper half of the track.
  Overrides:
    mousePressed in class java.awt.event.MouseAdapter

### mouseDragged

    public void mouseDragged(java.awt.event.MouseEvent e)

  Set the models value to the position of the top/left of the thumb relative to the origin of the track.
  Specified by:
    mouseDragged in interface java.awt.event.MouseMotionListener

### mouseMoved

    public void mouseMoved(java.awt.event.MouseEvent e)

  Specified by:
    mouseMoved in interface java.awt.event.MouseMotionListener

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.